//
//  YHAiRadarAreaView.swift
//  galaxy
//
//  Created by davidhuangA on 2024/6/18.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit

class YHAiRadarAreaView: UIView {

    static let viewH = 88.0
    
    override init(frame: CGRect) {
        super.init(frame: frame)
        setupUI()
    }
    
    required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    lazy var bkgImageV: UIImageView = {
        let imgV : UIImageView = UIImageView()
        imgV.contentMode = .scaleAspectFill
        return imgV
    }()
    
    
    lazy var lable1: UILabel = {
        let lable : UILabel = UILabel()
        lable.text = "AI人脉雷达"
        lable.font = UIFont.PFSC_B(ofSize: 16)
        lable.textColor = UIColor.brandMainColor
        return lable
    }()
    
    
    lazy var lable2: UILabel = {
        let lable : UILabel = UILabel()
        lable.text = "为您找到更多同行"
        lable.font = UIFont.PFSC_R(ofSize: 12)
        lable.textColor = UIColor.yhGreyColor
        return lable
    }()
    
    
    lazy var lable3: UILabel = {
        let lable : UILabel = UILabel()
        lable.text = "前往查看"
        lable.font = UIFont.PFSC_R(ofSize: 13)
        lable.textColor = UIColor.white
        lable.backgroundColor = UIColor.brandMainColor
        return lable
    }()
    
    
    
}

extension YHAiRadarAreaView {
    @objc func didLookOrderBtnClicked() {
        goTabBarBy(tabType: .service)
    }
    
    func setupUI() {
        
//        self.backgroundColor = UIColor(hex: 0xF8FAFB)
//
//        let imgView = UIImageView(image: UIImage(named: "home_tips_order"))
//        addSubview(imgView)
//        imgView.snp.makeConstraints { make in
//            make.width.height.equalTo(31)
//            make.centerY.equalToSuperview()
//            make.left.equalTo(14)
//        }
//        
//        let label = UILabel()
//        label.textAlignment = .left
//        let aa: ASAttributedString = .init("您有", .font(UIFont.PFSC_R(ofSize: 14)),.foreground(UIColor.mainTextColor))
//        let bb: ASAttributedString = .init("1", .font(UIFont.PFSC_R(ofSize: 14)),.foreground(UIColor.brandMainColor))
//        let cc: ASAttributedString = .init("个服务中的优才订单", .font(UIFont.PFSC_R(ofSize: 14)),.foreground(UIColor.mainTextColor))
//        label.attributed.text = aa+bb+cc
//        addSubview(label)
//        label.snp.makeConstraints { make in
//            make.centerY.equalToSuperview()
//            make.left.equalTo(imgView.snp.right).offset(6)
//        }
//        
//        let btn = UIButton()
//        btn.setTitle("查看进度", for: .normal)
//        btn.setTitleColor(.white, for: .normal)
//        btn.backgroundColor = UIColor.brandMainColor
//        btn.titleLabel?.font = .PFSC_R(ofSize: 12)
//        btn.addTarget(self, action: #selector(didLookOrderBtnClicked), for: .touchUpInside)
//        addSubview(btn)
//        btn.snp.makeConstraints { make in
//            make.width.equalTo(72)
//            make.height.equalTo(33)
//            make.centerY.equalToSuperview()
//            make.left.equalTo(label.snp.right).offset(16)
//            make.right.equalTo(-16)
//        }

    }
}
